export default function getLangFromFilename(filename: string): string {
    let extension: string;
    try {
        const filenameParts = filename.split(".");
        extension = filenameParts[filenameParts.length - 1].toLocaleLowerCase();
    } catch (err) {
        return "text";
    }

    // bases on https://github.com/react-syntax-highlighter/react-syntax-highlighter/blob/master/AVAILABLE_LANGUAGES_PRISM.MD
    switch (extension) {
        case "abap":
            return "abap";
        // case "":
        //     return "abnf";
        // case "":
        //     return "actionscript";
        // case "":
        //     return "ada";
        // case "":
        //     return "agda";
        // case "":
        //     return "al";
        // case "":
        //     return "antlr4";
        // case "":
        //     return "apacheconf";
        // case "":
        //     return "apl";
        // case "":
        //     return "applescript";
        // case "":
        //     return "aql";
        // case "":
        //     return "arduino";
        // case "":
        //     return "arff";
        // case "":
        //     return "asciidoc";
        // case "":
        //     return "asm6502";
        // case "":
        //     return "aspnet";
        // case "":
        //     return "autohotkey";
        // case "":
        //     return "autoit";
        case "sh":
            return "bash";
        // case "":
        //     return "basic";
        case "bat":
            return "batch";
        case "":
            return "bbcode";
        // case "":
        //     return "birb";
        // case "":
        //     return "bison";
        // case "":
        //     return "bnf";
        case "bf":
            return "brainfuck";
        // case "":
        //     return "brightscript";
        // case "":
        //     return "bro";
        // case "":
        //     return "bsl";
        case "c":
            return "c";
        // case "":
        //     return "cil";
        // case "":
        //     return "clike";
        // case "":
        //     return "clojure";
        // case "":
        //     return "cmake";
        // case "":
        //     return "coffeescript";
        // case "":
        //     return "concurnas";
        case "cpp":
            return "cpp";
        // case "":
        //     return "crystal";
        case "cs":
            return "csharp";
        // case "":
        //     return "csp";
        // case "":
        //     return "cssExtras (css-extras)";
        case "css":
            return "css";
        // case "":
        //     return "cypher";
        // case "":
        //     return "d";
        // case "":
        //     return "dart";
        // case "":
        //     return "dax";
        // case "":
        //     return "dhall";
        // case "":
        //     return "diff";
        // case "":
        //     return "django";
        // case "":
        //     return "dnsZoneFile (dns-zone-file)";
        // case "":
        //     return "docker";
        // case "":
        //     return "ebnf";
        // case "":
        //     return "editorconfig";
        // case "":
        //     return "eiffel";
        // case "":
        //     return "ejs";
        // case "":
        //     return "elixir";
        // case "":
        //     return "elm";
        // case "":
        //     return "erb";
        // case "":
        //     return "erlang";
        // case "":
        //     return "etlua";
        // case "":
        //     return "excelFormula (excel-formula)";
        // case "":
        //     return "factor";
        // case "":
        //     return "firestoreSecurityRules (firestore-security-rules)";
        // case "":
        //     return "flow";
        // case "":
        //     return "fortran";
        // case "":
        //     return "fsharp";
        // case "":
        //     return "ftl";
        // case "":
        //     return "gcode";
        // case "":
        //     return "gdscript";
        // case "":
        //     return "gedcom";
        // case "":
        //     return "gherkin";
        // case "":
        //     return "git";
        // case "":
        //     return "glsl";
        // case "":
        //     return "gml";
        case "go":
            return "go";
        // case "":
        //     return "graphql";
        // case "":
        //     return "groovy";
        // case "":
        //     return "haml";
        // case "":
        //     return "handlebars";
        case "hs":
            return "haskell";
        // case "":
        //     return "haxe";
        // case "":
        //     return "hcl";
        // case "":
        //     return "hlsl";
        // case "":
        //     return "hpkp";
        // case "":
        //     return "hsts";
        // case "":
        //     return "http";
        // case "":
        //     return "ichigojam";
        // case "":
        //     return "icon";
        // case "":
        //     return "iecst";
        // case "":
        //     return "ignore";
        // case "":
        //     return "inform7";
        case "ini":
            return "ini";
        // case "":
        //     return "io";
        // case "":
        //     return "j";
        case "java":
            return "java";
        // case "":
        //     return "javadoc";
        // case "":
        //     return "javadoclike";
        case "js":
            return "javascript";
        // case "":
        //     return "javastacktrace";
        // case "":
        //     return "jolie";
        // case "":
        //     return "jq";
        // case "":
        //     return "jsExtras (js-extras)";
        // case "":
        //     return "jsTemplates (js-templates)";
        // case "":
        //     return "jsdoc";
        case "json":
            return "json";
        // case "":
        //     return "json5";
        // case "":
        //     return "jsonp";
        // case "":
        //     return "jsstacktrace";
        case "jsx":
            return "jsx";
        // case "":
        //     return "julia";
        // case "":
        //     return "keyman";
        // case "":
        //     return "kotlin";
        case "tex":
            return "latex";
        // case "":
        //     return "latte";
        // case "":
        //     return "less";
        // case "":
        //     return "lilypond";
        // case "":
        //     return "liquid";
        // case "":
        //     return "lisp";
        // case "":
        //     return "livescript";
        // case "":
        //     return "llvm";
        // case "":
        //     return "lolcode";
        case "lua":
            return "lua";
        // case "":
        //     return "makefile";
        case "md":
            return "markdown";
        // case "":
        //     return "markupTemplating (markup-templating)";
        // case "":
        //     return "markup";
        // case "":
        //     return "matlab";
        // case "":
        //     return "mel";
        // case "":
        //     return "mizar";
        // case "":
        //     return "mongodb";
        // case "":
        //     return "monkey";
        // case "":
        //     return "moonscript";
        // case "":
        //     return "n1ql";
        // case "":
        //     return "n4js";
        // case "":
        //     return "nand2tetrisHdl (nand2tetris-hdl)";
        // case "":
        //     return "naniscript";
        // case "":
        //     return "nasm";
        // case "":
        //     return "neon";
        // case "":
        //     return "nginx";
        // case "":
        //     return "nim";
        // case "":
        //     return "nix";
        // case "":
        //     return "nsis";
        // case "":
        //     return "objectivec";
        // case "":
        //     return "ocaml";
        // case "":
        //     return "opencl";
        // case "":
        //     return "oz";
        // case "":
        //     return "parigp";
        // case "":
        //     return "parser";
        // case "":
        //     return "pascal";
        // case "":
        //     return "pascaligo";
        // case "":
        //     return "pcaxis";
        // case "":
        //     return "peoplecode";
        // case "":
        //     return "perl";
        // case "":
        //     return "phpExtras (php-extras)";
        case "php":
            return "php";
        // case "":
        //     return "phpdoc";
        // case "":
        //     return "plsql";
        // case "":
        //     return "powerquery";
        // case "":
        //     return "powershell";
        // case "":
        //     return "processing";
        // case "":
        //     return "prolog";
        // case "":
        //     return "properties";
        // case "":
        //     return "protobuf";
        case "pug":
            return "pug";
        // case "":
        //     return "puppet";
        // case "":
        //     return "pure";
        // case "":
        //     return "purebasic";
        // case "":
        //     return "purescript";
        case "py":
            return "python";
        // case "":
        //     return "q";
        // case "":
        //     return "qml";
        // case "":
        //     return "qore";
        // case "":
        //     return "r";
        // case "":
        //     return "racket";
        // case "":
        //     return "reason";
        // case "":
        //     return "regex";
        // case "":
        //     return "renpy";
        // case "":
        //     return "rest";
        // case "":
        //     return "rip";
        // case "":
        //     return "roboconf";
        // case "":
        //     return "robotframework";
        // case "":
        //     return "ruby";
        case "rs":
            return "rust";
        // case "":
        //     return "sas";
        // case "":
        //     return "sass";
        // case "":
        //     return "scala";
        // case "":
        //     return "scheme";
        case "scss":
            return "scss";
        // case "":
        //     return "shellSession (shell-session)";
        // case "":
        //     return "smali";
        // case "":
        //     return "smalltalk";
        // case "":
        //     return "smarty";
        // case "":
        //     return "sml";
        // case "":
        //     return "solidity";
        // case "":
        //     return "solutionFile (solution-file)";
        // case "":
        //     return "soy";
        // case "":
        //     return "sparql";
        // case "":
        //     return "splunkSpl (splunk-spl)";
        case "sqf":
            return "sqf";
        case "sql":
            return "sql";
        // case "":
        //     return "stan";
        // case "":
        //     return "stylus";
        // case "":
        //     return "swift";
        // case "":
        //     return "t4Cs (t4-cs)";
        // case "":
        //     return "t4Templating (t4-templating)";
        // case "":
        //     return "t4Vb (t4-vb)";
        // case "":
        //     return "tap";
        // case "":
        //     return "tcl";
        // case "":
        //     return "textile";
        case "toml":
            return "toml";
        case "tsx":
            return "tsx";
        // case "":
        //     return "tt2";
        // case "":
        //     return "turtle";
        // case "":
        //     return "twig";
        case "ts":
            return "typescript";
        // case "":
        //     return "typoscript";
        // case "":
        //     return "unrealscript";
        // case "":
        //     return "vala";
        // case "":
        //     return "vbnet";
        // case "":
        //     return "velocity";
        // case "":
        //     return "verilog";
        // case "":
        //     return "vhdl";
        // case "":
        //     return "vim";
        // case "":
        //     return "visualBasic (visual-basic)";
        // case "":
        //     return "warpscript";
        // case "":
        //     return "wasm";
        // case "":
        //     return "wiki";
        // case "":
        //     return "xeora";
        // case "":
        //     return "xmlDoc (xml-doc)";
        // case "":
        //     return "xojo";
        // case "":
        //     return "xquery";
        case "yaml":
        case "yml":
            return "yaml";
        // case "":
        //     return "yang";
        // case "":
        //     return "zig";
        default:
            return "text"
    }

}

